#ifndef ACTIONGOTO_H
#define ACTIONGOTO_H

#include "UnitAction.h"
#include "GroundMap.h"
#include "PathFinding.h"
#include <vector>

#include "MemoryManager/debugNew.h"

class ActionGoTo : public UnitAction
{
private:
	ground::pathFinding::PathFinderMode mode;
	Point2D destination;
	std::vector<Point2D> path;
public:
	ActionGoTo(Unit* u,unitEnumeration::UnitState state,ground::pathFinding::PathFinderMode mode,const Point2D& destination);
	virtual ~ActionGoTo(void);
	void execute();
};

#include "MemoryManager/debugNewOff.h"

#endif
